## ListJoinableOrganizations `client.Accounts.ListJoinableOrganizations(ctx, params) (*JoinableOrganizationsPage[JoinableOrganization], error)` **post** `/gitpod.v1.AccountService/ListJoinableOrganizations` Lists organizations that the currently authenticated account can join. Use this method to: - Discover organizations associated with the account's email domain. - Allow users to join existing organizations. - Display potential organizations during onboarding. ### Examples - List joinable organizations: Retrieves a list of organizations the account can join. ```yaml {} ``` ### Parameters - `params AccountListJoinableOrganizationsParams` - `Token param.Field[string]` Query param - `PageSize param.Field[int64]` Query param - `Pagination param.Field[AccountListJoinableOrganizationsParamsPagination]` Body param: pagination contains the pagination options for listing joinable organizations - `Token string` Token for the next set of results that was returned as next_token of a PaginationResponse - `PageSize int64` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. ### Returns - `type JoinableOrganization struct{…}` - `OrganizationID string` organization_id is the id of the organization the user can join - `OrganizationName string` organization_name is the name of the organization the user can join - `OrganizationMemberCount int64` organization_member_count is the member count of the organization the user can join ### Example ```go package main import ( "context" "fmt" "github.com/gitpod-io/gitpod-sdk-go" "github.com/gitpod-io/gitpod-sdk-go/option" ) func main() { client := gitpod.NewClient( option.WithBearerToken("My Bearer Token"), ) page, err := client.Accounts.ListJoinableOrganizations(context.TODO(), gitpod.AccountListJoinableOrganizationsParams{ }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "pagination": { "nextToken": "nextToken" }, "joinableOrganizations": [ { "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "organizationName": "organizationName", "organizationMemberCount": 0 } ] } ```